# WOK
TKWOK
MS

# MS_HSequenceOfClass Class Reference

`#include <MS_HSequenceOfClass.hxx>`

## Public Member Functions

| MS_HSequenceOfClass ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_Class)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfClass)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_Class)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfClass)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_Class)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfClass)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_Class)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfClass)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfClass | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_Class)&anItem)
Standard_EXPORT const Handle_MS_Class & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_Class & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfClass & | Sequence () const
MS_SequenceOfClass & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfClass | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfClass | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfClass::MS_HSequenceOfClass | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfClass::Append | ( | const Handle(MS_HSequenceOfClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfClass::Append | ( | const Handle(MS_Class)& | anItem | ) |

MS_SequenceOfClass& MS_HSequenceOfClass::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_Class& MS_HSequenceOfClass::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfClass::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfClass::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfClass::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Class)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Class)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfClass::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfClass::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfClass::Prepend | ( | const Handle(MS_HSequenceOfClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfClass::Prepend | ( | const Handle(MS_Class)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfClass::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfClass::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfClass::Reverse | ( |  | ) |

const MS_SequenceOfClass& MS_HSequenceOfClass::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfClass::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_Class)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfClass MS_HSequenceOfClass::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfClass MS_HSequenceOfClass::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_Class& MS_HSequenceOfClass::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfClass MS_HSequenceOfClass::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfClass.hxx